module.exports = function(grunt){
    
    const sass = require('node-sass');
    // require('load-grunt-tasks')(grunt);

    // Configuration
    grunt.initConfig({
        // pass in options to plugin, references to file, etc.
        
        concat: {
            js: {
                src: ['js/*.js'],
                dest: 'build/scripts.js'
            },
            css: {
                src: ['css/reset.css', 'css/bootstrap.css', 'css/styles.css'],
                dest: 'build/styles.js'
            }
        },

        sass: {
            options: {
                implementation: sass,
                sourceMap: true
            },
            dist: {
                files: {
                    'css/sass/styles.scss': 'css/styles.css'
                }
            }
        }
    });

    // Load plugins
    grunt.loadNpmTasks('grunt-contrib-concat')
    grunt.loadNpmTasks('grunt-sass');

    // Register tasks
    grunt.registerTask('concat-js', ['concat:js']);
    grunt.registerTask('concat-css', ['concat:css']);

}